%define LIBMAJ 	2
%define libname %mklibname %name %LIBMAJ
%define develname %mklibname %name -d
%define sdevelname %mklibname %name -d -s

Name: 		unixODBC
Version: 	2.3.4
Release:	%mkrel 2
Group: 		Databases
Summary: 	Unix ODBC driver manager and database drivers
License: 	GPLv2+ and LGPLv2+
URL: 		http://www.unixODBC.org/
Source0:	http://www.unixODBC.org/%{name}-%{version}.tar.xz
Patch0:		unixODBC-2.3.1-install.patch
BuildRequires:	bison 
BuildRequires:	flex 
BuildRequires:	readline-devel 
BuildRequires:	byacc
BuildRequires:	libltdl-devel



%description
UnixODBC is a free/open specification for providing application developers 
with a predictable API with which to access Data Sources. Data Sources include 
SQL Servers and any Data Source with an ODBC Driver.

%package -n	%{libname}
Summary:	Libraries unixODBC 
Group:		System/Libraries
Obsoletes:	%{_lib}unixODBC1
Obsoletes:	sphinx < 2.0.10-2
Obsoletes:	sphinx-devel < 2.0.10-2

%description -n	%{libname}
unixODBC  libraries.

%package -n	%{develname}
Summary: 	Includes and shared libraries for ODBC development
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}unixODBC1-devel < %{version}-%{release}

%description -n	%{develname}
unixODBC aims to provide a complete ODBC solution for the Linux platform.
This package contains the include files and shared libraries for development.

%package -n	%{sdevelname}
Summary: 	Static libraries for ODBC development
Group: 		Development/Libraries
Requires: 	%{develname} = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Obsoletes:	%{_lib}unixODBC1-static-devel < %{version}-%{release}

%description -n	%{sdevelname}
unixODBC aims to provide a complete ODBC solution for the Linux platform.
This package contains static libraries for development.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
  --with-included-ltdl=no \
  --with-ltdl-include=%{_includedir} \
  --with-ltdl-lib=%{_libdir} \
  --enable-static \
  --enable-shared \
  --enable-drivers

%make
pushd DRVConfig/MySQL
%make
popd

pushd DRVConfig/PostgreSQL
%make
popd

pushd DRVConfig/MiniSQL
%make
popd

pushd DRVConfig/Oracle
%make
popd


%install
%makeinstall_std

pushd DRVConfig/MySQL
%makeinstall_std
popd

pushd DRVConfig/PostgreSQL
%makeinstall_std
popd

pushd DRVConfig/MiniSQL
%makeinstall_std
popd

pushd DRVConfig/Oracle
%makeinstall_std
popd

%multiarch_binaries %buildroot/%_bindir/odbc_config

rm -f %{buildroot}%{_libdir}/*.la

%files 
%doc AUTHORS INSTALL ChangeLog NEWS README
%config(noreplace) %verify(not md5 size mtime)  %{_sysconfdir}/odbc*.ini
%dir %{_sysconfdir}/ODBCDataSources
%{_bindir}/dltest
%{_bindir}/isql
%{_bindir}/odbcinst
%{_bindir}/iusql
%{_bindir}/slencheck
%{_mandir}/man*/*
	  
%files -n %{libname}
%_libdir/libodbc.so.%{LIBMAJ}*
%_libdir/libodbccr.so.%{LIBMAJ}*
%_libdir/libodbcinst.so.%{LIBMAJ}*
%_libdir/libnn.so.*
%_libdir/libtemplate.so.*
%_libdir/libodbcpsql.so.2
%_libdir/libodbcpsql.so.2.*
%_libdir/lib*odbc*S.so.1
%_libdir/lib*odbc*S.so.1.*

%files -n %{develname}
%doc doc/
%_bindir/odbc_config
%{_includedir}/*
%{_libdir}/lib*.so
%multiarch %_bindir/%multiarch_platform/odbc_config

%files -n %{sdevelname}
%{_libdir}/*.a


%changelog
* Fri Oct 16 2015 bb <bb> 2.3.4-2pclos2015
- obsolete libunixODBC1

* Tue Oct 13 2015 bb <bb> 2.3.4-1pclos2015
- update